diff -Nru orig/rGEDI/src/Makevars.ucrt patched/rGEDI/src/Makevars.ucrt
--- orig/rGEDI/src/Makevars.ucrt	1970-01-01 01:00:00.000000000 +0100
+++ patched/rGEDI/src/Makevars.ucrt	2021-02-17 19:45:42.524385400 +0100
@@ -0,0 +1,37 @@
+# Makefile for GEDI simulator tools
+HANCOCKTOOLS_ROOT = tools
+GEDIRAT_ROOT = gedisimulator
+LIBCLIDAR_ROOT = libclidar
+CMPFIT_ROOT = cmpfit-1.2
+HDF5_VERSION = 1.8.16
+
+
+PKG_CFLAGS += -DDLLEXPORT -D_USE_MATH_DEFINES -D_WIN32 \
+	-DWIN32 -DH5_BUILT_AS_DYNAMIC_LIB -DDLL_EXPORTS \
+	-DUSEPHOTON -DWITHOUT_GDAL -D__USE_MINGW_ANSI_STDIO
+
+ARCH=$(PROCESSOR_ARCHITECTURE)
+
+PKG_CPPFLAGS += -Igedisimulator -I$(HANCOCKTOOLS_ROOT) -I$(CMPFIT_ROOT) \
+-I${LIBCLIDAR_ROOT} -I. 
+
+PKG_LIBS += \
+	-lhdf5 -lhdf5_hl -lz -lm -lgsl
+
+src = $(LIBCLIDAR_ROOT)/libLasProcess.c $(LIBCLIDAR_ROOT)/libLasRead.c \
+	$(LIBCLIDAR_ROOT)/gaussFit.c $(LIBCLIDAR_ROOT)/libLidVoxel.c \
+	$(LIBCLIDAR_ROOT)/libTLSread.c $(LIBCLIDAR_ROOT)/libLidarHDF.c \
+	$(GEDIRAT_ROOT)/gediIO.c $(GEDIRAT_ROOT)/photonCount.c \
+	$(LIBCLIDAR_ROOT)/libOctree.c $(GEDIRAT_ROOT)/gediNoise.c \
+	$(CMPFIT_ROOT)/mpfit.c  $(HANCOCKTOOLS_ROOT)/tools.c \
+	gediMetrics.c gediSimulator.c \
+	argParse.c registerDynamicSymbol.c \
+	functionWrappers.c
+
+OBJECTS = $(src:.c=.o)
+
+all: $(SHLIB)
+$(SHLIB): $(OBJECTS)
+$(OBJECTS): $(src)
+
+.PHONY: all 
